## openconnect 8.05

=== android/Makefile ===
#
# This Makefile attempts to build OpenConnect and its dependencies for Android
#
# It doesn't do a stunning job of tracking changes in the dependencies and
# automatically rebuilding them, but it's good enough for getting them built
# and installed into its own local sysroot.
#
# As long as you have the Android NDK toolchain on your path, you should then
# be able to edit fairly much anything in place and rebuild it locally.
#
# It should also be fairly simple to extend this to cross-compile for any target

NDK     := /opt/android-sdk-linux_x86/android-ndk-r16b
ARCH    := arm

EXTRA_CFLAGS :=

# You should be able to just 'make ARCH=x86' and it should DTRT.
ifeq ($(ARCH),arm)
TRIPLET := arm-linux-androideabi
API_LEVEL := 14
EXTRA_CFLAGS := -march=armv7-a -mthumb
endif
ifeq ($(ARCH),arm64)
TRIPLET := aarch64-linux-android
API_LEVEL := 26
endif
ifeq ($(ARCH),x86)
TRIPLET := i686-linux-android
API_LEVEL := 14
endif
ifeq ($(ARCH),x86_64)
TRIPLET := x86_64-linux-android
API_LEVEL := 21
endif

TOPDIR := $(shell pwd)
DESTDIR := $(TOPDIR)/$(TRIPLET)/out

EXTRA_CFLAGS += -D__ANDROID_API__=$(API_LEVEL) -O2

TOOLCHAIN := $(TOPDIR)/$(TRIPLET)/toolchain
TOOLCHAIN_BUILT := $(TOOLCHAIN)/.built
TOOLCHAIN_OPTS := --platform=android-$(API_LEVEL) --arch=$(ARCH) \
		  --install-dir=$(TOOLCHAIN)
PATH := $(TOOLCHAIN)/bin:$(PATH)

OC_SYSROOT := $(TOOLCHAIN)/sysroot/usr
PKG_CONFIG_LIBDIR := $(OC_SYSROOT)/lib/pkgconfig

export PATH PKG_CONFIG_LIBDIR

# PKG_CONFIG_LIBDIR gets exported to sub-makes, but not to $(shell
PKG_CONFIG := PKG_CONFIG_LIBDIR=$(PKG_CONFIG_LIBDIR) pkg-config

MAKEINSTALL=$(MAKE) INSTALL=$(TOPDIR)/install_symlink.sh
FETCH=$(TOPDIR)/fetch.sh

CONFIGURE_ARGS := --host=$(TRIPLET) --prefix=$(OC_SYSROOT) \
		  --disable-shared --enable-static --with-pic \
		  CC=$(TRIPLET)-clang CFLAGS="$(EXTRA_CFLAGS)"

SOURCE_LIST = $(LIBXML2_SRC)/configure $(GMP_SRC)/configure \
	$(NETTLE_SRC)/configure $(GNUTLS_SRC)/configure \
	$(STOKEN_SRC)/configure $(OATH_SRC)/configure \
	$(LZ4_DIR)/Makefile

PKG_LIST := LIBXML2 GMP NETTLE GNUTLS STOKEN OATH LZ4

MIRROR_TEST_TARGETS := $(addprefix mirror-test-,$(PKG_LIST))

all: openconnect run_pie

#####################################################################
#
# Install a local cross toolchain + sysroot
#
# (The fallback logic is because NDK versions <= r8e can fail after trying to
# use 32-bit binaries on a 64-bit NDK installation.)
#
$(TOOLCHAIN_BUILT):
	$(NDK)/build/tools/make-standalone-toolchain.sh $(TOOLCHAIN_OPTS) || \
		$(NDK)/build/tools/make-standalone-toolchain.sh \
			$(TOOLCHAIN_OPTS) --system=linux-x86_64
	touch $@

#####################################################################
#
# Build libxml2 with minimal configuration for OpenConnect
#
LIBXML2_VER := 2.9.7
LIBXML2_TAR := libxml2-$(LIBXML2_VER).tar.gz
LIBXML2_SHA := f63c5e7d30362ed28b38bfa1ac6313f9a80230720b7fb6c80575eeab3ff5900c
LIBXML2_SRC := sources/libxml2-$(LIBXML2_VER)
LIBXML2_BUILD := $(TRIPLET)/libxml2

$(LIBXML2_TAR):
	$(FETCH) $@ $(LIBXML2_SHA)

$(LIBXML2_SRC)/configure: $(LIBXML2_TAR)
	mkdir -p sources
	tar xfz $<  -C sources
	touch $@

$(LIBXML2_BUILD)/Makefile: $(TOOLCHAIN_BUILT) $(LIBXML2_SRC)/configure
	mkdir -p $(LIBXML2_BUILD)
	cd $(LIBXML2_BUILD) && ../../$(LIBXML2_SRC)/configure $(CONFIGURE_ARGS) \
	    --without-c14n -without-catalog --without-debug --without-docbook \
	    --without-fexceptions --without-ftp --without-history \
	    --without-http --without-iconv --without-iconv \
	    --without-iso8859x --without-legacy --without-pattern \
	    --without-push --without-regexps --without-run-debug \
	    --without-sax1 --without-schemas --without-schematron \
	    --without-threads --without-valid --without-xinclude \
	    --without-xpath --without-xptr --without-zlib --without-lzma \
	    --without-coverage --without-python

$(LIBXML2_BUILD)/libxml2.la: $(LIBXML2_BUILD)/Makefile
	$(MAKE) -C $(LIBXML2_BUILD) libxml2.la

$(LIBXML2_BUILD)/libxml-2.0.pc: $(LIBXML2_BUILD)/Makefile
	$(MAKE) -C $(LIBXML2_BUILD) libxml-2.0.pc

$(OC_SYSROOT)/lib/libxml2.la: $(LIBXML2_BUILD)/libxml2.la
	$(MAKEINSTALL) -C $(LIBXML2_BUILD) install-libLTLIBRARIES

$(OC_SYSROOT)/lib/pkgconfig/libxml-2.0.pc: $(LIBXML2_BUILD)/libxml-2.0.pc
	$(MAKEINSTALL) -C $(LIBXML2_BUILD) install-data

LIBXML_DEPS := $(OC_SYSROOT)/lib/libxml2.la $(OC_SYSROOT)/lib/pkgconfig/libxml-2.0.pc

libxml: $(LIBXML_DEPS)


#####################################################################
#
# Build GNU MP
#
GMP_VER := 6.1.2
GMP_TAR := gmp-$(GMP_VER).tar.xz
GMP_SHA := 87b565e89a9a684fe4ebeeddb8399dce2599f9c9049854ca8c0dfbdea0e21912
GMP_SRC := sources/gmp-$(GMP_VER)
GMP_BUILD := $(TRIPLET)/gmp

$(GMP_TAR):
	$(FETCH) $@ $(GMP_SHA)

$(GMP_SRC)/configure: $(GMP_TAR)
	mkdir -p sources
	tar -xJf $< -C sources
	touch $@

$(GMP_BUILD)/Makefile: $(TOOLCHAIN_BUILT) $(GMP_SRC)/configure
	mkdir -p $(GMP_BUILD)
	cd $(GMP_BUILD) && ../../$(GMP_SRC)/configure $(CONFIGURE_ARGS) 


$(GMP_BUILD)/libgmp.la: $(GMP_BUILD)/Makefile
	$(MAKE) -C $(GMP_BUILD)

$(OC_SYSROOT)/lib/libgmp.la: $(GMP_BUILD)/libgmp.la
	$(MAKEINSTALL) -C $(GMP_BUILD) install

GMP_DEPS := $(OC_SYSROOT)/lib/libgmp.la

gmp: $(GMP_DEPS)


#####################################################################
#
# Build nettle
#
NETTLE_VER := 3.4
NETTLE_TAR := nettle-$(NETTLE_VER).tar.gz
NETTLE_SHA := ae7a42df026550b85daca8389b6a60ba6313b0567f374392e54918588a411e94
NETTLE_SRC := sources/nettle-$(NETTLE_VER)
NETTLE_BUILD := $(TRIPLET)/nettle

$(NETTLE_TAR):
	$(FETCH) $@ $(NETTLE_SHA)

$(NETTLE_SRC)/configure: $(NETTLE_TAR)
	mkdir -p sources
	tar xfz $< -C sources
	touch $@

$(NETTLE_BUILD)/Makefile: $(TOOLCHAIN_BUILT) $(NETTLE_SRC)/configure $(GMP_DEPS)
	mkdir -p $(NETTLE_BUILD)
	cd $(NETTLE_BUILD) && ../../$(NETTLE_SRC)/configure $(CONFIGURE_ARGS)

$(NETTLE_BUILD)/libnettle.a: $(NETTLE_BUILD)/Makefile
	$(MAKE) -C $(NETTLE_BUILD) SUBDIRS=

$(OC_SYSROOT)/lib/libnettle.a: $(NETTLE_BUILD)/libnettle.a
	$(MAKEINSTALL) -C $(NETTLE_BUILD) SUBDIRS= install

NETTLE_DEPS := $(OC_SYSROOT)/lib/libnettle.a

nettle: $(NETTLE_DEPS)


#####################################################################
#
# Build GnuTLS
#
GNUTLS_VER := 3.5.17
GNUTLS_TAR := gnutls-$(GNUTLS_VER).tar.xz
GNUTLS_SHA := 86b142afef587c118d63f72ccf307f3321dbc40357aae528202b65d913d20919
GNUTLS_SRC := sources/gnutls-$(GNUTLS_VER)
GNUTLS_BUILD := $(TRIPLET)/gnutls

$(GNUTLS_TAR):
	$(FETCH) $@ $(GNUTLS_SHA)

$(GNUTLS_SRC)/configure: $(GNUTLS_TAR)
	mkdir -p sources
	xz -d < $< | tar xf - -C sources
	touch $@

#$(GNUTLS_SRC)/configure.ac:
#	mkdir -p sources
#	cd sources && git clone git://gitorious.org/gnutls/gnutls.git

#$(GNUTLS_SRC)/configure: $(GNUTLS_SRC)/configure.ac
#	touch $(GNUTLS_SRC)/ChangeLog
#	cd $(GNUTLS_SRC) && autoreconf -fvi

$(GNUTLS_BUILD)/Makefile: $(TOOLCHAIN_BUILT) $(GNUTLS_SRC)/configure $(NETTLE_DEPS)
	mkdir -p $(GNUTLS_BUILD)
	cd $(GNUTLS_BUILD) && ../../$(GNUTLS_SRC)/configure $(CONFIGURE_ARGS) \
		AUTOGEN=/bin/true \
		--disable-threads --disable-tests --without-zlib --disable-nls \
		--disable-doc --disable-openssl-compatibility --disable-cxx \
		--disable-openssl-compatibility --disable-ocsp \
		--disable-openpgp-authentication --disable-anon-authentication \
		--enable-psk-authentication --disable-srp-authentication \
		--disable-dtls-srtp-support  --enable-dhe --enable-ecdhe \
		--disable-rsa-export --with-included-libtasn1 \
		--with-included-unistring --without-p11-kit

$(GNUTLS_BUILD)/lib/libgnutls.la: $(GNUTLS_BUILD)/Makefile
	$(MAKE) -C $(GNUTLS_BUILD)

$(OC_SYSROOT)/lib/libgnutls.la: $(GNUTLS_BUILD)/lib/libgnutls.la
	$(MAKEINSTALL) -C $(GNUTLS_BUILD) install

GNUTLS_DEPS := $(OC_SYSROOT)/lib/libgnutls.la

gnutls: $(GNUTLS_DEPS)


#####################################################################
#
# Build libstoken
#
STOKEN_VER := 0.92
STOKEN_TAR := stoken-$(STOKEN_VER).tar.gz
STOKEN_SHA := aa2b481b058e4caf068f7e747a2dcf5772bcbf278a4f89bc9efcbf82bcc9ef5a
STOKEN_SRC := sources/stoken-$(STOKEN_VER)
STOKEN_BUILD := $(TRIPLET)/stoken

$(STOKEN_TAR):
	$(FETCH) $@ $(STOKEN_SHA)

$(STOKEN_SRC)/configure: $(STOKEN_TAR)
	mkdir -p sources
	tar xfz $< -C sources
	touch $@

$(STOKEN_BUILD)/Makefile: $(TOOLCHAIN_BUILT) $(STOKEN_SRC)/configure $(NETTLE_DEPS)
	mkdir -p $(STOKEN_BUILD)
	cd $(STOKEN_BUILD) && ../../$(STOKEN_SRC)/configure $(CONFIGURE_ARGS) \
		--without-gtk

$(STOKEN_BUILD)/libstoken.la: $(STOKEN_BUILD)/Makefile
	$(MAKE) -C $(STOKEN_BUILD)

$(OC_SYSROOT)/lib/libstoken.la: $(STOKEN_BUILD)/libstoken.la
	$(MAKEINSTALL) -C $(STOKEN_BUILD) install

STOKEN_DEPS := $(OC_SYSROOT)/lib/libstoken.la

stoken: $(STOKEN_DEPS)


#####################################################################
#
# Build liboath
#
OATH_VER := 2.6.2
OATH_TAR := oath-toolkit-$(OATH_VER).tar.gz
OATH_SHA := b03446fa4b549af5ebe4d35d7aba51163442d255660558cd861ebce536824aa0
OATH_SRC := sources/oath-toolkit-$(OATH_VER)
OATH_BUILD := $(TRIPLET)/oath

$(OATH_TAR):
	$(FETCH) $@ $(OATH_SHA)

$(OATH_SRC)/configure: $(OATH_TAR)
	mkdir -p sources
	tar xfz $< -C sources
	> $(OATH_SRC)/liboath/gl/freading.c
	touch $@

$(OATH_BUILD)/Makefile: $(TOOLCHAIN_BUILT) $(OATH_SRC)/configure
	mkdir -p $(OATH_BUILD)
	cd $(OATH_BUILD) && ../../$(OATH_SRC)/configure $(CONFIGURE_ARGS) \
		--disable-pskc --disable-pam \
		gl_cv_func_fflush_stdin=yes \
		gl_cv_func_fpurge_works=yes

$(OATH_BUILD)/liboath/liboath.la: $(OATH_BUILD)/Makefile
	$(MAKE) -C $(OATH_BUILD)/liboath

$(OC_SYSROOT)/lib/liboath.la: $(OATH_BUILD)/liboath/liboath.la
	$(MAKEINSTALL) -C $(OATH_BUILD)/liboath install

OATH_DEPS := $(OC_SYSROOT)/lib/liboath.la

oath: $(OATH_DEPS)


#####################################################################
#
# Build liblz4
#
LZ4_VER := 1.8.1.2
LZ4_TAR := lz4-v$(LZ4_VER).tar.gz
LZ4_SHA := 12f3a9e776a923275b2dc78ae138b4967ad6280863b77ff733028ce89b8123f9
LZ4_DIR := $(TRIPLET)/lz4-$(LZ4_VER)

$(LZ4_TAR):
	$(FETCH) $@ $(LZ4_SHA)

$(LZ4_DIR)/Makefile: $(LZ4_TAR)
	mkdir -p $(TRIPLET)
	tar xzf $< -C $(TRIPLET)
	touch $@

$(OC_SYSROOT)/lib/liblz4.a: $(TOOLCHAIN_BUILT) $(LZ4_DIR)/Makefile
	$(MAKE) -C $(LZ4_DIR)/lib \
		CC="$(TRIPLET)-clang $(EXTRA_CFLAGS)" \
		AR="$(TRIPLET)-ar" \
		LIBDIR=$(OC_SYSROOT)/lib \
		INCLUDEDIR=$(OC_SYSROOT)/include \
		install
	rm -f $(OC_SYSROOT)/lib/liblz4.so*

LZ4_DEPS := $(OC_SYSROOT)/lib/liblz4.a

lz4: $(LZ4_DEPS)

#####################################################################
#
# Build OpenConnect for Android
#
OPENCONNECT_SRC := ..
OPENCONNECT_BUILD := $(TRIPLET)/openconnect

$(OPENCONNECT_SRC)/configure:
	cd $(OPENCONNECT_SRC) && ./autogen.sh

$(OPENCONNECT_BUILD)/Makefile: $(TOOLCHAIN_BUILT) $(GNUTLS_DEPS) $(LIBXML_DEPS) \
		$(STOKEN_DEPS) $(OATH_DEPS) $(LZ4_DEPS) $(OPENCONNECT_SRC)/configure
	mkdir -p $(OPENCONNECT_BUILD)
	cd $(OPENCONNECT_BUILD) && ../../../configure \
	--host=$(TRIPLET) --prefix=/ \
	CFLAGS="$(EXTRA_CFLAGS) -fvisibility=default -fPIE" \
	LDFLAGS="$(EXTRA_LDFLAGS) -rdynamic -pie" \
	GNUTLS_LIBS="$(shell $(PKG_CONFIG) --static --libs gnutls)" \
	LIBSTOKEN_LIBS="$(shell $(PKG_CONFIG) --static --libs stoken)" \
	--enable-shared --with-vpnc-script=/etc/vpnc/vpnc-script \
	--with-java=$(OC_SYSROOT)/include --enable-jni-standalone \
	--disable-symvers

openconnect: $(OPENCONNECT_BUILD)/Makefile
	make -C $(OPENCONNECT_BUILD)
	make -C $(OPENCONNECT_BUILD) install-strip DESTDIR=$(DESTDIR)


#####################################################################
#
# Build run_pie helper program
#
$(DESTDIR)/sbin/run_pie: run_pie.c $(TOOLCHAIN_BUILT)
	mkdir -p $(DESTDIR)/sbin
	$(TRIPLET)-clang $< -o $@ -ldl

.PHONY: run_pie
run_pie: $(DESTDIR)/sbin/run_pie


#####################################################################
#
# Special targets for maintainer use
#

# download + extract, but do not build
.PHONY: sources
sources: $(SOURCE_LIST)

.PHONY: $(MIRROR_TEST_TARGETS)
$(MIRROR_TEST_TARGETS) : mirror-test-% :
	$(FETCH) --mirror-test $($(*)_TAR) $($(*)_SHA)

# (re)test all mirrors for all packages. safe for use with "make -jN"
.PHONY: mirror-test

=== debian/changelog ===
openconnect (8.05-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Update standards version to 4.4.1, no changes needed.

  [ Luca Boccassi ]
  * Update upstream source from tag 'upstream/8.05' (Closes: #935198)
  * Drop patches, merged upstream in v8.05
  * Build-depend on Python3, v8.05 can build documentation with it now
    (Closes: #937197)
  * Set Rules-Requires-Root: no
  * Bump Standards-Version to 4.5.0, no changes
  * Add myself to Uploaders
  * Addn Lintian override for hipreport-android.sh
  * Drop rules for dbgsym migration
  * Add libopenconnect.la to d/not-installed

 -- Luca Boccassi <bluca@debian.org>  Thu, 19 Mar 2020 19:13:13 +0000

openconnect (8.02-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Close HTTPS connection on failure returns from process_http_response()
  * Fix buffer overflow with chunked HTTP handling (CVE-2019-16239)
    (Closes: #940871)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 18 Jan 2020 23:37:24 +0100

=== debian/control ===
Source: openconnect
Maintainer: Mike Miller <mtmiller@debian.org>
Uploaders: Luca Boccassi <bluca@debian.org>
Section: net
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dpkg-dev (>= 1.17.14),
               groff,
               libgcrypt20-dev,
               libgnutls28-dev,
               libkrb5-dev,
               liblz4-dev,
               libp11-kit-dev,
               libpcsclite-dev,
               libproxy-dev,
               libsocket-wrapper [!hurd-i386] <!nocheck>,
               libstoken-dev,
               libtasn1-6-dev,
               libtss2-dev,
               libuid-wrapper [!alpha !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386] <!nocheck>,
               libxml2-dev,
               locales-all <!nocheck>,
               ocserv (>= 0.12.1-2) [!hurd-i386 !kfreebsd-amd64 !kfreebsd-i386] <!nocheck>,
               openssl <!nocheck>,
               pkg-config,
               python3,
               softhsm2 [!hurd-i386] <!nocheck>,
               zlib1g-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/openconnect
Vcs-Git: https://salsa.debian.org/debian/openconnect.git
Homepage: https://www.infradead.org/openconnect/

Package: openconnect
Architecture: any
Depends: vpnc-scripts, ${misc:Depends}, ${shlibs:Depends}
Description: open client for Cisco AnyConnect, Pulse, GlobalProtect VPN
 OpenConnect is an SSL VPN client initially created to support Cisco's
 AnyConnect SSL VPN. It has since been extended to support the Pulse Connect
 Secure VPN (formerly known as Juniper Network Connect or Junos Pulse) and
 the Palo Alto Networks GlobalProtect SSL VPN.
 .
 A corresponding OpenConnect VPN server implementation can be found in the
 ocserv package.

Package: libopenconnect-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libgnutls28-dev,
         liblz4-dev,
         libopenconnect5 (= ${binary:Version}),
         libp11-kit-dev,
         libpcsclite-dev,
         libproxy-dev,
         libstoken-dev,
         libxml2-dev,
         zlib1g-dev,
         ${misc:Depends}
Description: open client for Cisco AnyConnect, Pulse, GlobalProtect VPN - development files
 OpenConnect is an SSL VPN client initially created to support Cisco's
 AnyConnect SSL VPN. It has since been extended to support the Pulse Connect
 Secure VPN (formerly known as Juniper Network Connect or Junos Pulse) and
 the Palo Alto Networks GlobalProtect SSL VPN.
 .
 This package provides the header and development files.

Package: libopenconnect5
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: ca-certificates
Pre-Depends: ${misc:Pre-Depends}
Description: open client for Cisco AnyConnect, Pulse, GlobalProtect VPN - shared library
 OpenConnect is an SSL VPN client initially created to support Cisco's
 AnyConnect SSL VPN. It has since been extended to support the Pulse Connect
 Secure VPN (formerly known as Juniper Network Connect or Junos Pulse) and
 the Palo Alto Networks GlobalProtect SSL VPN.
 .
 This package provides the shared library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Link with --as-needed to eliminate unused or indirect library dependencies
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-dsa-tests \
		--htmldir=/usr/share/doc/openconnect/html \
		--with-gnutls \
		--with-vpnc-script=/usr/share/vpnc-scripts/vpnc-script
	$(MAKE) version.c
	sed -i -e 's|".*"|"v$(DEB_VERSION)"|' version.c

override_dh_installchangelogs:
	dh_installchangelogs www/changelog.html

override_dh_compress:
	dh_compress -Xhtml/changelog.html

override_dh_autoreconf:
	dh_autoreconf --as-needed

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
ftp://ftp.infradead.org/pub/openconnect/openconnect-(.*)\.tar\.gz

## openconnect 8.10

=== debian/changelog ===
openconnect (8.10-2) unstable; urgency=medium

  * Build-depend on python3:any to allow cross-compilation. Thanks Helmut!
    (Closes: #972646)

 -- Luca Boccassi <bluca@debian.org>  Thu, 29 Oct 2020 18:11:44 +0000

openconnect (8.10-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/8.10'
    - Fixes buffer overflow in certificate handling (CVE-2020-12823)
      (Closes: #960620)
  * Drop all patches, merged upstream

 -- Luca Boccassi <bluca@debian.org>  Thu, 14 May 2020 18:51:18 +0100

openconnect (8.09-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/8.09'
  * Install python scripts to handle HIP reports for Juniper's VPN
  * Backport patches to fix and install bash completion script
  * Backport patch to install tncc-emulate python script
  * Drop as-needed from d/rules, it's default in bullseye

 -- Luca Boccassi <bluca@debian.org>  Sat, 02 May 2020 12:21:50 +0100

openconnect (8.08-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/8.06'
  * Update libopenconnect5.symbols for 8.06
  * Update upstream source from tag 'upstream/8.07'
  * Build with --without-gnutls-version-check
  * Update upstream source from tag 'upstream/8.08'

 -- Luca Boccassi <bluca@debian.org>  Mon, 06 Apr 2020 18:35:43 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                ocserv (>= 0.12.1-2) [!hurd-i386 !kfreebsd-amd64 !kfreebsd-i386] <!nocheck>,
                openssl <!nocheck>,
                pkg-config,
-               python3,
+               python3:any,
                softhsm2 [!hurd-i386] <!nocheck>,
                zlib1g-dev
 Standards-Version: 4.5.0
@@ -35,6 +35,8 @@
 Package: openconnect
 Architecture: any
 Depends: vpnc-scripts, ${misc:Depends}, ${shlibs:Depends}
+Recommends: python3, python3-asn1crypto, python3-mechanize, python3-netifaces,
+Suggests: bash-completion,
 Description: open client for Cisco AnyConnect, Pulse, GlobalProtect VPN
  OpenConnect is an SSL VPN client initially created to support Cisco's
  AnyConnect SSL VPN. It has since been extended to support the Pulse Connect

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-dsa-tests \
		--htmldir=/usr/share/doc/openconnect/html \
		--with-gnutls \
		--without-gnutls-version-check \
		--with-vpnc-script=/usr/share/vpnc-scripts/vpnc-script
	$(MAKE) version.c
	sed -i -e 's|".*"|"v$(DEB_VERSION)"|' version.c

override_dh_installchangelogs:
	dh_installchangelogs www/changelog.html

override_dh_compress:
	dh_compress -Xhtml/changelog.html

## openconnect 8.20

=== android/Makefile ===
--- 
+++ 
@@ -10,15 +10,18 @@
 #
 # It should also be fairly simple to extend this to cross-compile for any target
 
-NDK     := /opt/android-sdk-linux_x86/android-ndk-r16b
-ARCH    := arm
+# Last tested with https://dl.google.com/android/repository/android-ndk-r21b-linux-x86_64.zip
+
+
+NDK     := /opt/android-sdk-linux_x86/android-ndk-r21b
+ARCH    := x86_64
+API_LEVEL := 23
 
 EXTRA_CFLAGS :=
 
 # You should be able to just 'make ARCH=x86' and it should DTRT.
 ifeq ($(ARCH),arm)
 TRIPLET := arm-linux-androideabi
-API_LEVEL := 14
 EXTRA_CFLAGS := -march=armv7-a -mthumb
 endif
 ifeq ($(ARCH),arm64)
@@ -27,11 +30,9 @@
 endif
 ifeq ($(ARCH),x86)
 TRIPLET := i686-linux-android
-API_LEVEL := 14
 endif
 ifeq ($(ARCH),x86_64)
 TRIPLET := x86_64-linux-android
-API_LEVEL := 21
 endif
 
 TOPDIR := $(shell pwd)
@@ -88,9 +89,10 @@
 #
 # Build libxml2 with minimal configuration for OpenConnect
 #
-LIBXML2_VER := 2.9.7
+# http://xmlsoft.org/news.html
+LIBXML2_VER := 2.9.11
 LIBXML2_TAR := libxml2-$(LIBXML2_VER).tar.gz
-LIBXML2_SHA := f63c5e7d30362ed28b38bfa1ac6313f9a80230720b7fb6c80575eeab3ff5900c
+LIBXML2_SHA := 886f696d5d5b45d780b2880645edf9e0c62a4fd6841b853e824ada4e02b4d331
 LIBXML2_SRC := sources/libxml2-$(LIBXML2_VER)
 LIBXML2_BUILD := $(TRIPLET)/libxml2
 
@@ -136,9 +138,10 @@
 #
 # Build GNU MP
 #
-GMP_VER := 6.1.2
+# https://gmplib.org/
+GMP_VER := 6.2.1
 GMP_TAR := gmp-$(GMP_VER).tar.xz
-GMP_SHA := 87b565e89a9a684fe4ebeeddb8399dce2599f9c9049854ca8c0dfbdea0e21912
+GMP_SHA := fd4829912cddd12f84181c3451cc752be224643e87fac497b69edddadc49b4f2
 GMP_SRC := sources/gmp-$(GMP_VER)
 GMP_BUILD := $(TRIPLET)/gmp
 
@@ -152,7 +155,7 @@
 
 $(GMP_BUILD)/Makefile: $(TOOLCHAIN_BUILT) $(GMP_SRC)/configure
 	mkdir -p $(GMP_BUILD)
-	cd $(GMP_BUILD) && ../../$(GMP_SRC)/configure $(CONFIGURE_ARGS) 
+	cd $(GMP_BUILD) && ../../$(GMP_SRC)/configure $(CONFIGURE_ARGS)
 
 
 $(GMP_BUILD)/libgmp.la: $(GMP_BUILD)/Makefile
@@ -170,9 +173,10 @@
 #
 # Build nettle
 #
-NETTLE_VER := 3.4
+# https://ftp.gnu.org/gnu/nettle/
+NETTLE_VER := 3.6
 NETTLE_TAR := nettle-$(NETTLE_VER).tar.gz
-NETTLE_SHA := ae7a42df026550b85daca8389b6a60ba6313b0567f374392e54918588a411e94
+NETTLE_SHA := d24c0d0f2abffbc8f4f34dcf114b0f131ec3774895f3555922fe2f40f3d5e3f1
 NETTLE_SRC := sources/nettle-$(NETTLE_VER)
 NETTLE_BUILD := $(TRIPLET)/nettle
 
@@ -203,9 +207,10 @@
 #
 # Build GnuTLS
 #
-GNUTLS_VER := 3.5.17
+# https://www.gnutls.org/download.html
+GNUTLS_VER := 3.6.16
 GNUTLS_TAR := gnutls-$(GNUTLS_VER).tar.xz
-GNUTLS_SHA := 86b142afef587c118d63f72ccf307f3321dbc40357aae528202b65d913d20919
+GNUTLS_SHA := 1b79b381ac283d8b054368b335c408fedcb9b7144e0c07f531e3537d4328f3b3
 GNUTLS_SRC := sources/gnutls-$(GNUTLS_VER)
 GNUTLS_BUILD := $(TRIPLET)/gnutls
 
@@ -228,15 +233,14 @@
 $(GNUTLS_BUILD)/Makefile: $(TOOLCHAIN_BUILT) $(GNUTLS_SRC)/configure $(NETTLE_DEPS)
 	mkdir -p $(GNUTLS_BUILD)
 	cd $(GNUTLS_BUILD) && ../../$(GNUTLS_SRC)/configure $(CONFIGURE_ARGS) \
-		AUTOGEN=/bin/true \
-		--disable-threads --disable-tests --without-zlib --disable-nls \
+		AUTOGEN=/bin/false \
+		--disable-threads --disable-tests --disable-nls \
 		--disable-doc --disable-openssl-compatibility --disable-cxx \
-		--disable-openssl-compatibility --disable-ocsp \
-		--disable-openpgp-authentication --disable-anon-authentication \
+		--disable-openssl-compatibility --disable-ocsp --disable-tools \
+		--disable-anon-authentication --with-included-libtasn1 \
 		--enable-psk-authentication --disable-srp-authentication \
 		--disable-dtls-srtp-support  --enable-dhe --enable-ecdhe \
-		--disable-rsa-export --with-included-libtasn1 \
-		--with-included-unistring --without-p11-kit
+		--with-included-unistring --without-p11-kit --disable-guile
 
 $(GNUTLS_BUILD)/lib/libgnutls.la: $(GNUTLS_BUILD)/Makefile
 	$(MAKE) -C $(GNUTLS_BUILD)
@@ -253,6 +257,7 @@
 #
 # Build libstoken
 #
+# https://sourceforge.net/projects/stoken/files/
 STOKEN_VER := 0.92
 STOKEN_TAR := stoken-$(STOKEN_VER).tar.gz
 STOKEN_SHA := aa2b481b058e4caf068f7e747a2dcf5772bcbf278a4f89bc9efcbf82bcc9ef5a
@@ -287,9 +292,10 @@
 #
 # Build liboath
 #
-OATH_VER := 2.6.2
+# https://download.savannah.nongnu.org/releases/oath-toolkit/
+OATH_VER := 2.6.7
 OATH_TAR := oath-toolkit-$(OATH_VER).tar.gz
-OATH_SHA := b03446fa4b549af5ebe4d35d7aba51163442d255660558cd861ebce536824aa0
+OATH_SHA := 36eddfce8f2f36347fb257dbf878ba0303a2eaafe24eaa071d5cd302261046a9
 OATH_SRC := sources/oath-toolkit-$(OATH_VER)
 OATH_BUILD := $(TRIPLET)/oath
 
@@ -324,9 +330,10 @@
 #
 # Build liblz4
 #
-LZ4_VER := 1.8.1.2
+# https://github.com/lz4/lz4/tags
+LZ4_VER := 1.9.3
 LZ4_TAR := lz4-v$(LZ4_VER).tar.gz
-LZ4_SHA := 12f3a9e776a923275b2dc78ae138b4967ad6280863b77ff733028ce89b8123f9
+LZ4_SHA := 030644df4611007ff7dc962d981f390361e6c97a34e5cbc393ddfbe019ffe2c1
 LZ4_DIR := $(TRIPLET)/lz4-$(LZ4_VER)
 
 $(LZ4_TAR):
@@ -395,13 +402,3 @@
 # Special targets for maintainer use
 #
 
-# download + extract, but do not build
-.PHONY: sources
-sources: $(SOURCE_LIST)
-
-.PHONY: $(MIRROR_TEST_TARGETS)
-$(MIRROR_TEST_TARGETS) : mirror-test-% :
-	$(FETCH) --mirror-test $($(*)_TAR) $($(*)_SHA)
-
-# (re)test all mirrors for all packages. safe for use with "make -jN"
-.PHONY: mirror-test

=== debian/changelog ===
openconnect (8.20-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Luca Boccassi ]
  * Update upstream source from tag 'upstream/8.20'
    For a full list of changes see the upstream changelog at:
    https://www.infradead.org/openconnect/changelog.html
  * Update symbols file for 8.20
  * Drop patches merged upstream
  * Refresh SAML patch
  * autopkgtest: skip unavailable swtpm key in auth-certificate test
  * autopkgtest: run new tests
  * Update descriptions to include new VPNs

 -- Luca Boccassi <bluca@debian.org>  Mon, 21 Feb 2022 00:42:45 +0000

openconnect (8.10-8) unstable; urgency=medium

  * Add dependency on libpskc-dev to libopenconnect-dev
  * Backport patch to fix GP IPv6 split tunnel
  * Bump copyright year ranges in d/copyright
  * Update dep-3 headers to fix Lintian Warning
  * Override very-long-line-length-in-source-file
  * Override Lintian warning about symbols file

 -- Luca Boccassi <bluca@debian.org>  Wed, 02 Feb 2022 11:24:06 +0000

openconnect (8.10-7) unstable; urgency=medium

  * Disable build-time tests (Closes: #974836)
  * Build-depend on libpskc-dev (Closes: #847980)

 -- Luca Boccassi <bluca@debian.org>  Fri, 28 Jan 2022 13:57:59 +0000

openconnect (8.10-6) unstable; urgency=medium

  * Backport support for IPv6 in GlobalProtect

 -- Luca Boccassi <bluca@debian.org>  Fri, 28 Jan 2022 11:11:21 +0000

openconnect (8.10-5) unstable; urgency=medium

  * Backport patch to stop sending X-AnyConnect-Platform header

 -- Luca Boccassi <bluca@debian.org>  Tue, 04 Jan 2022 13:34:50 +0000

openconnect (8.10-4) unstable; urgency=medium

  * Update SAML patch. Correctly detect termination on Anyconnect + Google
    SAML. Also restore backward compatibility for legacy CLI based
    workflow. (Closes: #1001555)

 -- Luca Boccassi <bluca@debian.org>  Thu, 30 Dec 2021 23:59:51 +0000

openconnect (8.10-3) unstable; urgency=medium

  * Backport patch to support SAML SSO
  * Bump year range in d/copyright
  * Bump Standards-Version to 4.6.0, no changes
  * Bump debhelper-compat to 13
  * Switch from FTP to HTTPS in debian/watch
  * Update Lintian override

 -- Luca Boccassi <bluca@debian.org>  Fri, 10 Dec 2021 23:59:51 +0000

=== debian/control ===
Source: openconnect
Maintainer: Mike Miller <mtmiller@debian.org>
Uploaders: Luca Boccassi <bluca@debian.org>
Section: net
Priority: optional
Build-Depends: debhelper-compat (= 13),
               groff,
               libgcrypt20-dev,
               libgnutls28-dev,
               libkrb5-dev,
               liblz4-dev,
               libp11-kit-dev,
               libpcsclite-dev,
               libpskc-dev,
               libproxy-dev,
               libsocket-wrapper [!hurd-i386] <!nocheck>,
               libstoken-dev,
               libtasn1-6-dev,
               libtss2-dev,
               libuid-wrapper [!alpha !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386] <!nocheck>,
               libxml2-dev,
               locales-all <!nocheck>,
               ocserv [!hurd-i386 !kfreebsd-amd64 !kfreebsd-i386] <!nocheck>,
               openssl <!nocheck>,
               pkg-config,
               python3:any,
               softhsm2 [!hurd-i386] <!nocheck>,
               zlib1g-dev
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/openconnect
Vcs-Git: https://salsa.debian.org/debian/openconnect.git
Homepage: https://www.infradead.org/openconnect/

Package: openconnect
Architecture: any
Depends: vpnc-scripts, ${misc:Depends}, ${shlibs:Depends}
Recommends: python3, python3-asn1crypto, python3-mechanize, python3-netifaces,
Suggests: bash-completion,
Description: open client for various network vendors SSL VPNs
 OpenConnect is an SSL VPN client initially created to support Cisco's
 AnyConnect SSL VPN. It has since been extended to support the Pulse Connect
 Secure VPN (formerly known as Juniper Network Connect or Junos Pulse), the Palo
 Alto Networks GlobalProtect SSL VPN, F5 Big-IP SSL VPN, Fortinet Fortigate SSL
 VPN and Array Networks AG SSL VPN.
 .
 A corresponding OpenConnect VPN server implementation can be found in the
 ocserv package.

Package: libopenconnect-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libgnutls28-dev,
         liblz4-dev,
         libopenconnect5 (= ${binary:Version}),
         libp11-kit-dev,
         libpcsclite-dev,
         libpskc-dev,
         libproxy-dev,
         libstoken-dev,
         libxml2-dev,
         zlib1g-dev,
         ${misc:Depends}
Description: open client for various network vendors SSL VPNs - development files
 OpenConnect is an SSL VPN client initially created to support Cisco's
 AnyConnect SSL VPN. It has since been extended to support the Pulse Connect
 Secure VPN (formerly known as Juniper Network Connect or Junos Pulse), the Palo
 Alto Networks GlobalProtect SSL VPN, F5 Big-IP SSL VPN, Fortinet Fortigate SSL
 VPN and Array Networks AG SSL VPN.
 .
 This package provides the header and development files.

Package: libopenconnect5
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: ca-certificates
Pre-Depends: ${misc:Pre-Depends}
Description: open client for various network vendors SSL VPNs - shared library
 OpenConnect is an SSL VPN client initially created to support Cisco's
 AnyConnect SSL VPN. It has since been extended to support the Pulse Connect
 Secure VPN (formerly known as Juniper Network Connect or Junos Pulse), the Palo
 Alto Networks GlobalProtect SSL VPN, F5 Big-IP SSL VPN, Fortinet Fortigate SSL
 VPN and Array Networks AG SSL VPN.
 .
 This package provides the shared library.

=== debian/rules ===
--- 
+++ 
@@ -22,3 +22,7 @@
 
 override_dh_compress:
 	dh_compress -Xhtml/changelog.html
+
+# buildd's environment is sometimes broken and doesn't provide
+# ipv4 localhost, so the tests cannot work
+override_dh_auto_test:

## openconnect 9.01

=== debian/changelog ===
openconnect (9.01-3) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2, no changes
  * Backport patch to fix connection to Pulse server v9.1R16 (Closes:
    #1031906)

 -- Luca Boccassi <bluca@debian.org>  Sat, 25 Feb 2023 18:46:29 +0000

openconnect (9.01-2) unstable; urgency=medium

  * Backport patch to fix SSO with anyconnect v2
    (Closes: #1025961) (LP: #1993901)
  * Add Build-Depends and Suggests on xdg-utils for embedded SSO
    (Closes: #1025961)
  * Bump Standards-Version to 4.6.1, no changes
  * Drop ancient NEWS file

 -- Luca Boccassi <bluca@debian.org>  Thu, 15 Dec 2022 01:17:36 +0000

openconnect (9.01-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/9.01'
  * Drop 0001-support-AnyConnect-single-sign-on-v2.patch, merged upstream
  * Update symbols file for v9.01
  * Skip libtss2 and ocserv on more architectures where they are not
    available

 -- Luca Boccassi <bluca@debian.org>  Sat, 30 Apr 2022 14:22:43 +0100

=== debian/control ===
--- 
+++ 
@@ -16,17 +16,18 @@
                libsocket-wrapper [!hurd-i386] <!nocheck>,
                libstoken-dev,
                libtasn1-6-dev,
-               libtss2-dev,
+               libtss2-dev [!hurd-i386 !kfreebsd-amd64 !kfreebsd-i386],
                libuid-wrapper [!alpha !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386] <!nocheck>,
                libxml2-dev,
                locales-all <!nocheck>,
-               ocserv [!hurd-i386 !kfreebsd-amd64 !kfreebsd-i386] <!nocheck>,
+               ocserv [!alpha !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !sh4 !sparc64] <!nocheck>,
                openssl <!nocheck>,
                pkg-config,
                python3:any,
                softhsm2 [!hurd-i386] <!nocheck>,
+               xdg-utils,
                zlib1g-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/openconnect
 Vcs-Git: https://salsa.debian.org/debian/openconnect.git
@@ -36,7 +37,7 @@
 Architecture: any
 Depends: vpnc-scripts, ${misc:Depends}, ${shlibs:Depends}
 Recommends: python3, python3-asn1crypto, python3-mechanize, python3-netifaces,
-Suggests: bash-completion,
+Suggests: bash-completion, xdg-utils,
 Description: open client for various network vendors SSL VPNs
  OpenConnect is an SSL VPN client initially created to support Cisco's
  AnyConnect SSL VPN. It has since been extended to support the Pulse Connect

## openconnect 9.12

=== android/Makefile ===
--- 
+++ 
@@ -63,10 +63,10 @@
 
 SOURCE_LIST = $(LIBXML2_SRC)/configure $(GMP_SRC)/configure \
 	$(NETTLE_SRC)/configure $(GNUTLS_SRC)/configure \
-	$(STOKEN_SRC)/configure $(OATH_SRC)/configure \
+	$(STOKEN_SRC)/configure \
 	$(LZ4_DIR)/Makefile
 
-PKG_LIST := LIBXML2 GMP NETTLE GNUTLS STOKEN OATH LZ4
+PKG_LIST := LIBXML2 GMP NETTLE GNUTLS STOKEN LZ4
 
 MIRROR_TEST_TARGETS := $(addprefix mirror-test-,$(PKG_LIST))
 
@@ -290,44 +290,6 @@
 
 #####################################################################
 #
-# Build liboath
-#
-# https://download.savannah.nongnu.org/releases/oath-toolkit/
-OATH_VER := 2.6.7
-OATH_TAR := oath-toolkit-$(OATH_VER).tar.gz
-OATH_SHA := 36eddfce8f2f36347fb257dbf878ba0303a2eaafe24eaa071d5cd302261046a9
-OATH_SRC := sources/oath-toolkit-$(OATH_VER)
-OATH_BUILD := $(TRIPLET)/oath
-
-$(OATH_TAR):
-	$(FETCH) $@ $(OATH_SHA)
-
-$(OATH_SRC)/configure: $(OATH_TAR)
-	mkdir -p sources
-	tar xfz $< -C sources
-	> $(OATH_SRC)/liboath/gl/freading.c
-	touch $@
-
-$(OATH_BUILD)/Makefile: $(TOOLCHAIN_BUILT) $(OATH_SRC)/configure
-	mkdir -p $(OATH_BUILD)
-	cd $(OATH_BUILD) && ../../$(OATH_SRC)/configure $(CONFIGURE_ARGS) \
-		--disable-pskc --disable-pam \
-		gl_cv_func_fflush_stdin=yes \
-		gl_cv_func_fpurge_works=yes
-
-$(OATH_BUILD)/liboath/liboath.la: $(OATH_BUILD)/Makefile
-	$(MAKE) -C $(OATH_BUILD)/liboath
-
-$(OC_SYSROOT)/lib/liboath.la: $(OATH_BUILD)/liboath/liboath.la
-	$(MAKEINSTALL) -C $(OATH_BUILD)/liboath install
-
-OATH_DEPS := $(OC_SYSROOT)/lib/liboath.la
-
-oath: $(OATH_DEPS)
-
-
-#####################################################################
-#
 # Build liblz4
 #
 # https://github.com/lz4/lz4/tags
@@ -368,7 +330,7 @@
 	cd $(OPENCONNECT_SRC) && ./autogen.sh
 
 $(OPENCONNECT_BUILD)/Makefile: $(TOOLCHAIN_BUILT) $(GNUTLS_DEPS) $(LIBXML_DEPS) \
-		$(STOKEN_DEPS) $(OATH_DEPS) $(LZ4_DEPS) $(OPENCONNECT_SRC)/configure
+		$(STOKEN_DEPS) $(LZ4_DEPS) $(OPENCONNECT_SRC)/configure
 	mkdir -p $(OPENCONNECT_BUILD)
 	cd $(OPENCONNECT_BUILD) && ../../../configure \
 	--host=$(TRIPLET) --prefix=/ \
@@ -402,3 +364,14 @@
 # Special targets for maintainer use
 #
 
+# download + extract, but do not build
+.PHONY: sources
+sources: $(SOURCE_LIST)
+
+.PHONY: $(MIRROR_TEST_TARGETS)
+$(MIRROR_TEST_TARGETS) : mirror-test-% :
+	$(FETCH) --mirror-test $($(*)_TAR) $($(*)_SHA)
+
+# (re)test all mirrors for all packages. safe for use with "make -jN"
+.PHONY: mirror-test
+mirror-test: $(MIRROR_TEST_TARGETS)

=== debian/changelog ===
openconnect (9.12-1build5) noble; urgency=high

  * No change rebuild against libgnutls30t64, libhogweed6t64,
    libpskc0t64, libstoken1t64, libtss2-esys-3.0.2-0t64, libtss2-mu-
    4.0.1-0t64, libtss2-tctildr0t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:47:00 +0200

openconnect (9.12-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:11:34 +0000

openconnect (9.12-1build3) noble; urgency=medium

  * No-change rebuild against libgnutls30t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 10 Mar 2024 02:10:53 +0000

openconnect (9.12-1build2) noble; urgency=medium

  * No-change rebuild against libhogweed6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 03 Mar 2024 06:24:46 +0000

openconnect (9.12-1build1) noble; urgency=medium

  * Rebuild against new libtss2-mu-4.0.1-0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 23 Jan 2024 13:14:38 +0100

openconnect (9.12-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/9.12'
    For a full list of changes see the upstream changelog at:
    https://www.infradead.org/openconnect/changelog.html
  * Drop all patches, merged upstream
  * Update symbols file

 -- Luca Boccassi <bluca@debian.org>  Tue, 13 Jun 2023 23:41:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: openconnect
-Maintainer: Mike Miller <mtmiller@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mike Miller <mtmiller@debian.org>
 Uploaders: Luca Boccassi <bluca@debian.org>
 Section: net
 Priority: optional

=== debian/tests/control ===
Tests: upstream-test-suite
Depends: @,
         libsocket-wrapper,
         libuid-wrapper,
         locales-all,
         ocserv (>= 0.12.1-2),
         softhsm2

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://www.infradead.org/openconnect/download/openconnect-(.*)\.tar\.gz
